# RabbitMQConfig

Configuration for RabbitMQ connection.

## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**rabbitmq_url** | **string** | RabbitMQ connection URL | [optional] [default to 'amqp://localhost:5672/']
**exchange_name** | **string** | Exchange name for message routing | [optional] [default to 'vipr.experiments']
**routing_pattern** | **string** | Routing key pattern to subscribe to | [optional] [default to 'reflectometry.growth.#']

## Example

```typescript
import { RabbitMQConfig } from '@vipr/api';

const instance: RabbitMQConfig = {
    rabbitmq_url,
    exchange_name,
    routing_pattern,
};
```

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)
